org.eclipse.emf.compare.rcp.ui.mergeviewer

## Interface ICompareColor

All Known Implementing Classes:
  CompareColorImpl, EMFCompareColor

    public interface ICompareColor

Implementation of this interface will return color of decorator of `difference`.

Since:
  4.0

### Nested Class Summary

Nested Classes
`static interface` `ICompareColor.Provider` A provider of ICompareColor.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dispose()` Dispose all `Color` resources.
`org.eclipse.swt.graphics.Color` `getFillColor(Diff diff, boolean isThreeWay, boolean isIgnoreAncestor, boolean selected)` Return the color of the background of the decorator of the given `diff`.
`org.eclipse.swt.graphics.Color` `getRequiredFillColor()` Get the color for Required change.
`org.eclipse.swt.graphics.Color` `getRequiredStrokeColor()` Get the color for Required change border items.
`org.eclipse.swt.graphics.Color` `getStrokeColor(Diff diff, boolean isThreeWay, boolean isIgnoreAncestor, boolean selected)` Return the color of the stroke of the decorator of the given `diff`.
`org.eclipse.swt.graphics.Color` `getUnmergeableFillColor()` Get the color for Unmergeable difference.
`org.eclipse.swt.graphics.Color` `getUnmergeableStrokeColor()` Get the color for Unmergeable difference border items.

### Method Detail

#### getFillColor

    org.eclipse.swt.graphics.Color getFillColor(Diff diff,
                                                boolean isThreeWay,
                                                boolean isIgnoreAncestor,
                                                boolean selected)

Return the color of the background of the decorator of the given `diff`.

Parameters:
  `diff` - the diff to be decorated.
  `isThreeWay` - are we comparing three models.
  `isIgnoreAncestor` - if the ancestor has to be ignored (i.e. ignore the isThreeWay parameter).
  `selected` - if the given `diff` is selected in the viewer.
Returns:
  the background color.

#### getStrokeColor

    org.eclipse.swt.graphics.Color getStrokeColor(Diff diff,
                                                  boolean isThreeWay,
                                                  boolean isIgnoreAncestor,
                                                  boolean selected)

Return the color of the stroke of the decorator of the given `diff`.

Parameters:
  `diff` - the diff to be decorated.
  `isThreeWay` - are we comparing three models.
  `isIgnoreAncestor` - if the ancestor has to be ignored (i.e. ignore the isThreeWay parameter).
  `selected` - if the given `diff` is selected in the viewer.
Returns:
  the background color.

#### getRequiredFillColor

    org.eclipse.swt.graphics.Color getRequiredFillColor()

Get the color for Required change.

Returns:

#### getRequiredStrokeColor

    org.eclipse.swt.graphics.Color getRequiredStrokeColor()

Get the color for Required change border items. This color is computed from `getRequiredFillColor()`

Returns:

#### getUnmergeableFillColor

    org.eclipse.swt.graphics.Color getUnmergeableFillColor()

Get the color for Unmergeable difference.

Returns:

#### getUnmergeableStrokeColor

    org.eclipse.swt.graphics.Color getUnmergeableStrokeColor()

Get the color for Unmergeable difference border items. This color is computed from `getUnmergeableFillColor()`

Returns:

#### dispose

    void dispose()

Dispose all `Color` resources.